<template>
  <t-modal
    v-model="vModel"
    id="_edit-circuit-modal"
    :clickToClose="false"
    @before-open="onBeforeOpen"
    @closed="onClosed"
  >

    <!-- Edit circuit form -->
    <EditCircuitForm
      :ok-append="function () { $store.commit('SET_SYSTEM_SHOW_EDIT_CIRCUIT_MODAL', false) }"
      :cancel-append="function () { $store.commit('SET_SYSTEM_SHOW_EDIT_CIRCUIT_MODAL', false) }"
    />

  </t-modal>

</template>

<script>
// BaseModal component
import BaseModal from '../BaseModal'
// EditCircuitForm component
import EditCircuitForm from './EditCircuitForm'
/**
 * EditCircuitModal component
 */
export default {
  name: 'EditCircuitModal',
  extends: BaseModal,
  components: {
    EditCircuitForm
  },
  methods: {
    /**
     * Called before popup open
     * @return {void}
     */
    onBeforeOpen: function () {
      // ...
    },
    /**
     * Called when popup close
     * @return {void}
     */
    onClosed: function () {
      // Force reset on closed
      this.$store.commit('Circuits/SET_CIRCUIT_TO_EDIT', null)
    }
  }
}
</script>

<style lang="scss">
#_edit-circuit-modal {
  //
}
</style>
